%global npm_name http-proxy

Summary: A full-featured http reverse proxy for node.js
Name: nodejs-%{npm_name}
Version: 1.11.2
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/nodejitsu/node-http-proxy
Source0: http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch: noarch
Provides: nodejs-%{npm_name} = %{version}

%description
A full-featured http reverse proxy for node.js

Let's suppose you were running multiple http application servers,
but you only wanted to expose one machine to the internet. 
You could setup node-http-proxy on that one machine and then reverse-proxy 
the incoming http requests to locally running services which were not
exposed to the outside network.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.11.2-1
- Update to 4.13.3
- UPdate spec file to fedora guidelines

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.8.4
- Initial build using tchor spec template

